/*
 * Copyright (C) 2022 Umut İnan Erdoğan <umutinanerdogan@pm.me>
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

//! Able GUI Toolkit (AbleTK)
#[doc(inline)] pub use abletk_macros::*;
pub use abletk_common::*;
pub mod application;
pub mod context;
pub mod event;
pub mod layout;
pub mod platform;
pub mod plugin;
pub mod widget;
pub mod window;
pub mod prelude {
    pub use crate::application::*;
    pub use crate::color::*;
    pub use crate::event::application::Event as ApplicationEvent;
    pub use crate::event::window::Event as WindowEvent;
    pub use crate::platform::Platform;
    pub use crate::widget::Column;
    pub use crate::widget::Padded;
    pub use crate::widget::Label;
    pub use crate::widget::Row;
    pub use crate::widget::Padding;
    pub use crate::widget::Widget;
    pub use crate::window::*;
    pub use crate::rgb;
    pub use crate::launch;
}
